package click.kamil.examples.statemachine.extended.config;

import click.kamil.examples.statemachine.extended.service.QuirkService;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;

public abstract class AbstractBaseConfig {

    @Bean
    public String inheritedBeanTester(@Qualifier("customName") QuirkService someService) {
        someService.doQuirk();
        return "inherited";
    }
}
